<!--
	Nom : Pereira Vaz
	Prenom : Joao Victor
	Classe : I.DA-P1A
	Date : 27/05/2024
	But : Créer un PWA
-->

<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="CSS/style.css">
	<link rel="shortcut icon" href="/Img/logo.png" type="image/x-icon">
	<link rel="manifest" href="manifest.json">
	<title>PWA</title>
</head>
<body>
	<header>
		<p>HELLO WORLD</p>
	</header>
	<main>
		<img src="Img/logo.png" alt="">
		<button id="installApp">Install</button>
	</main>

	<footer>

	</footer>
</body>
<script type="module">
  import {Workbox} from 'https://storage.googleapis.com/workbox-cdn/releases/6.4.1/workbox-window.prod.mjs';

  if ('serviceWorker' in navigator) {
    const wb = new Workbox('JS/service-worker.js');

    wb.register();
  }
</script>
</html>
